﻿/* Forces dense layout heights and padding for all MudBlazor inputs */
.mud-input-control {
    margin-top: 4px !important;
}

.mud-input {
    font-size: 0.875rem !important; /* Reduces text size to match dense layout */
}

.mud-input-slot {
    padding-top: 6px !important;
    padding-bottom: 6px !important;
}

/* Adjusts the floating label position to align with the denser height */
.mud-input-label-input-control {
    transform: translate(0, 20px) scale(1);
}

.mud-input-label-animated.mud-input-label-shrink {
    transform: translate(0, 4px) scale(0.75);
}

label.mud-input-label-text {
    font-weight: 1000 !important;
}

.validation-message {
    color: red;
}

label.mud-input-label.mud-input-label-animated.mud-input-label-text.mud-input-label-margin-dense.mud-input-label-inputcontrol {
    font-size: 1em;
}
